<?php

/**
 *
 * @package phpBB Extension - mChat
 * @简体中文语言　David Yin <http://www.g2soft.net/>
 * @copyright (c) 2016 dmzx - http://www.dmzx-web.net
 * @copyright (c) 2016 kasimi - https://kasimi.net
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters for use
// ’ » “ ” …

$lang = array_merge($lang, [
	// ACP Configuration sections
	'MCHAT_SETTINGS_INDEX'							=> '首页设置',
	'MCHAT_SETTINGS_CUSTOM'							=> 'mChat 页面设置',
	'MCHAT_SETTINGS_ARCHIVE'						=> '归档页面设置',
	'MCHAT_SETTINGS_POSTS'							=> '新帖子设置',
	'MCHAT_SETTINGS_MESSAGES'						=> '消息设置',
	'MCHAT_SETTINGS_PRUNE'							=> '裁剪设置 (只适用于创建者)',
	'MCHAT_SETTINGS_LOG'							=> '日志设置 (只适用于创建者)',
	'MCHAT_SETTINGS_STATS'							=> '谁正在对话之设置',

	'MCHAT_GLOBALUSERSETTINGS_EXPLAIN'				=> '用户 <strong>没有</strong> 权限去修改的那些设置，将按照下面的内容来设置。 <br>新用户账号将会按下面的设置来做初始化。<br><br>到 <em>mChat 在用户控制面板</em> 标签页，用户权限部分去调整权限。 <br>到 <em>用户管理</em> 的 <em>偏好设置</em> 表单部分去调整个别用户设置。 ',
	'MCHAT_GLOBALUSERSETTINGS_OVERWRITE'			=> '对所有用户覆盖设置',
	'MCHAT_GLOBALUSERSETTINGS_OVERWRITE_EXPLAIN'	=> '应用以上所定义的设置到 <em>所有</em> 的用户。',
	'MCHAT_GLOBALUSERSETTINGS_OVERWRITE_CONFIRM'	=> '确认覆盖 mChat 设置到所有的用户',

	'MCHAT_ACP_USER_PREFS_EXPLAIN'					=> '下面列出了对所选的用户们的全部 mChat 偏好设置。 所选用户们没有权限定制的那些设置已被禁用。这些设置可以在 <em>全局用户设置</em> mChat 配置选项处修改。',

	// ACP settings
	'MCHAT_ACP_CHARACTERS'							=> '字符',
	'MCHAT_ACP_MESSAGES'							=> '消息',
	'MCHAT_ACP_SECONDS'								=> '秒',
	'MCHAT_ACP_HOURS'								=> '小时',
	'MCHAT_ACP_DAYS'								=> '天',
	'MCHAT_ACP_WEEKS'								=> '周',
	'MCHAT_ACP_GLOBALSETTINGS_TITLE'				=> 'mChat 全局设置',
	'MCHAT_ACP_GLOBALUSERSETTINGS_TITLE'			=> 'mChat 全局用户设置',
	'MCHAT_VERSION'									=> '版本',
	'MCHAT_RULES'									=> '规则',
	'MCHAT_RULES_EXPLAIN'							=> '在这里输入规则。 允许使用 HTML 代码。 留空则不会显示规则。<br>这条消息可以被翻译： 编辑 MCHAT_RULES_MESSAGE 语言条目，位于 /ext/dmzx/mchat/language/XX/mchat.php。',
	'MCHAT_CONFIG_SAVED'							=> 'mChat 配置已经更新成功',
	'MCHAT_AVATARS'									=> '显示头像',
	'MCHAT_AVATARS_EXPLAIN'							=> '若设置是，则缩小的用户头像会被显示。',
	'MCHAT_INDEX'									=> '在首页显示 mChat',
	'MCHAT_INDEX_HEIGHT'							=> '首页高度',
	'MCHAT_INDEX_HEIGHT_EXPLAIN'					=> '<em>数值范围从 50 到 1000。默认值是 250。</em>',
	'MCHAT_TOP_OF_FORUM'							=> '顶部',
	'MCHAT_BOTTOM_OF_FORUM'							=> '底部',
	'MCHAT_REFRESH'									=> '刷新频率',
	'MCHAT_REFRESH_EXPLAIN'							=> '多少秒钟刷新一次消息。<br><em>数值范围从 2 到 3600 秒。默认值是 1。</em>',
	'MCHAT_LIVE_UPDATES'							=> '实时更新消息的编辑和删除',
	'MCHAT_LIVE_UPDATES_EXPLAIN'					=> '当用户编辑或者删除消息的时候，这个改变即刻更新到所有的其它用户，即使他们没有刷新页面。如果遇到性能问题，就停用此特性。',
	'MCHAT_PRUNE'									=> '启用消息裁剪',
	'MCHAT_PRUNE_GC'								=> '消息裁剪任务间隔时间',
	'MCHAT_PRUNE_GC_EXPLAIN'						=> '下一次消息裁剪发生需要等待的时间。 注： 此设置控制消息被删除的 <em>时间</em>。它 <em>不会</em> 控制 <em哪些消息</em> 会被删除。 <em>默认值是 86400 秒 = 24 小时。</em>',
	'MCHAT_PRUNE_NUM'								=> '消息裁剪时，会被保留的消息',
	'MCHAT_PRUNE_NUM_EXPLAIN'						=> '当使用 ’messages’ ，一定数目的消息会被保留。当使用 ’小时’, ’天’ 或者 ’周’ 时，所有指定时间之前的旧消息会被删除。',
	'MCHAT_PRUNE_NOW'								=> '现在裁剪消息',
	'MCHAT_PRUNE_NOW_CONFIRM'						=> '确认裁剪消息',
	'MCHAT_PRUNED'									=> '%1$d mChat 消息已经被裁剪',
	'MCHAT_NAVBAR_LINK_COUNT'						=> '在导航栏显示有多少个活动的对话进程',
	'MCHAT_MESSAGE_NUM_CUSTOM'						=> '初始显示在 mChat 页面的消息数目',
	'MCHAT_MESSAGE_NUM_CUSTOM_EXPLAIN'				=> '<em>默认值是 10。</em>',
	'MCHAT_MESSAGE_NUM_INDEX'						=> '初始显示在首页的消息数目',
	'MCHAT_MESSAGE_NUM_INDEX_EXPLAIN'				=> '<em>默认值是 10。</em>',
	'MCHAT_MESSAGE_NUM_ARCHIVE'						=> '显示在归档页面的消息数目',
	'MCHAT_MESSAGE_NUM_ARCHIVE_EXPLAIN'				=> '<em>数值范围从 10 到 100。 默认值是 25。</em>',
	'MCHAT_ARCHIVE_SORT'							=> '消息排序',
	'MCHAT_ARCHIVE_SORT_TOP_BOTTOM'					=> '总是按从旧到新排列消息',
	'MCHAT_ARCHIVE_SORT_BOTTOM_TOP'					=> '总是按从新到旧排列消息',
	'MCHAT_ARCHIVE_SORT_USER'						=> '根据用户在 <em>新消息的位置</em> 偏好处的设置来排序消息',
	'MCHAT_FLOOD_TIME'								=> '防灌水时间设置',
	'MCHAT_FLOOD_TIME_EXPLAIN'						=> '用户在发布两条消息之间的间隔时间（秒）。<br><em>数值范围从 0 到 60 秒。默认为 0。设置为 0 就是禁用。 </em>',
	'MCHAT_EDIT_DELETE_LIMIT'						=> '编辑和删除消息的时间限制s',
	'MCHAT_EDIT_DELETE_LIMIT_EXPLAIN'				=> '发表于指定时间之前的消息不能被原作者编辑和删除。<br>拥有 <em>编辑/删除 权限的用户和管理员权限的不受</em>此时间限制。 <br>设置为 0 允许无限制的编辑和删除。',
	'MCHAT_MAX_MESSAGE_LENGTH'						=> '最大消息长度',
	'MCHAT_MAX_MESSAGE_LENGTH_EXPLAIN'				=> '每条消息所允许的最多字符数目。<br><em>默认值为 500。 设置为 0 则禁用。</em>',
	'MCHAT_MAX_INPUT_HEIGHT'						=> '最大输入框高度',
	'MCHAT_MAX_INPUT_HEIGHT_EXPLAIN'				=> '输入框不会超过这个像素高度限制。br><em>数值范围从 0 到 1000。 默认值为 150。 设置为 0 则不允许多行消息。</em>',
	'MCHAT_CUSTOM_PAGE'								=> '启用 mChat 页面',
	'MCHAT_CUSTOM_HEIGHT'							=> 'mChat 页面高度',
	'MCHAT_CUSTOM_HEIGHT_EXPLAIN'					=> '<em>数值范围从 50 到 1000。默认值为 350。</em>',
	'MCHAT_BBCODES_DISALLOWED'						=> '不允许使用的 BBCdes',
	'MCHAT_BBCODES_DISALLOWED_EXPLAIN'				=> '在这里你可以输入<strong>不</strong>希望用户在消息中使用的 BBCodes。<br>用分隔符来间隔 BBCodes，比如：<br>b|i|u|code|list|list=|flash|quote 或者 a %1$scustom BBCode tag name%2$s。',
	'MCHAT_STATIC_MESSAGE'							=> '静态消息',
	'MCHAT_STATIC_MESSAGE_EXPLAIN'					=> '在这里你可以定义静态消息。 允许 HTML 代码。留空则不会显示。<br>这条消息可以被翻译： 编辑 MCHAT_STATIC_MESSAGE 语言条目，位于 /ext/dmzx/mchat/language/XX/mchat.php。',
	'MCHAT_TIMEOUT'									=> '会话超时设置',
	'MCHAT_TIMEOUT_EXPLAIN'							=> '设置多少秒之后一个会话结束。<br>设置为 0 就不会超时。 小心，用户阅读 mChat 的会话是永远不会过期的！ <br><em>你受限于 %1$s板块设置对话 %2$s，当它刚好设置为 %3$d 秒。</em>',
	'MCHAT_OVERRIDE_SMILIE_LIMIT'					=> '覆盖表情限制',
	'MCHAT_OVERRIDE_SMILIE_LIMIT_EXPLAIN'			=> '设置为 是 来覆盖论坛表情限制。',
	'MCHAT_OVERRIDE_MIN_POST_CHARS'					=> '覆盖最少字符限制',
	'MCHAT_OVERRIDE_MIN_POST_CHARS_EXPLAIN'			=> '设置为 是 来覆盖论坛的最少字符数限制设置。',
	'MCHAT_LOG_ENABLED'								=> '增加记录到管理日志',
	'MCHAT_LOG_ENABLED_EXPLAIN'						=> '这会影响消息的编辑，删除，裁剪和清除。',

	'MCHAT_POSTS_AUTH_CHECK'						=> '需要用户权限',
	'MCHAT_POSTS_AUTH_CHECK_EXPLAIN'				=> '如果设置为 是，不能使用 mChat 的用户将不能生成任何帖子/登录的通知消息。',

	'MCHAT_WHOIS_REFRESH'							=> '“谁正在对话” 刷新间隔',
	'MCHAT_WHOIS_REFRESH_EXPLAIN'					=> '“谁正在对话”刷新的时间间隔。<br><em>数值范围从 10 到 300 秒。默认值为 60 秒。</em>',
	'MCHAT_SOUND'									=> '新消息，编辑和删除消息的时候发出声音',
	'MCHAT_PURGE'									=> '现在删除所有的消息',
	'MCHAT_PURGE_CONFIRM'							=> '确认删除所有消息',
	'MCHAT_PURGED'									=> '所有的 mChat 都已经被成功删除。',

	// '%1$s' contains 'Retain posts' and 'Delete posts' respectively
	'MCHAT_RETAIN_MESSAGES'							=> '%1$s 和 保留的 mChat 消息',
	'MCHAT_DELETE_MESSAGES'							=> '%1$s 和 删除的 mChat 消息',

	// Error reporting
	'TOO_LONG_MCHAT_BBCODE_DISALLOWED'				=> '不允许的 BBCodes 值太长了。 ',
	'TOO_SMALL_MCHAT_CUSTOM_HEIGHT'					=> 'mChat 页面高度值太小了。',
	'TOO_LARGE_MCHAT_CUSTOM_HEIGHT'					=> 'mChat 页面高度值太大了。',
	'TOO_LONG_MCHAT_DATE'							=> '日期格式太长了。',
	'TOO_SHORT_MCHAT_DATE'							=> '日期格式太短了。',
	'TOO_LARGE_MCHAT_FLOOD_TIME'					=> '防灌水时间间隔值太大了。',
	'TOO_SMALL_MCHAT_INDEX_HEIGHT'					=> '首页高度值太小了。',
	'TOO_LARGE_MCHAT_INDEX_HEIGHT'					=> '首页高度值太大了。',
	'TOO_LARGE_MCHAT_MAX_INPUT_HEIGHT'				=> '最大输入框高度值太大了。',
	'TOO_SMALL_MCHAT_MESSAGE_NUM_ARCHIVE'			=> '归档页面设置的消息数量值太小了。',
	'TOO_LARGE_MCHAT_MESSAGE_NUM_ARCHIVE'			=> '归档页面设置的消息数量值太大了。',
	'TOO_SMALL_MCHAT_REFRESH'						=> '刷新值太小了。',
	'TOO_LARGE_MCHAT_REFRESH'						=> '刷新值太大了。',
	'TOO_SMALL_MCHAT_TIMEOUT'						=> '用户超时值太小了。',
	'TOO_LARGE_MCHAT_TIMEOUT'						=> '用户超时值太大了。',
	'TOO_SMALL_MCHAT_WHOIS_REFRESH'					=> 'whois 刷新值太小了。',
	'TOO_LARGE_MCHAT_WHOIS_REFRESH'					=> 'whois 刷新值太大了。',

	'MCHAT_30X_REMNANTS'							=> '安装过程被中止。<br>在数据库中有 phpBB 3.0.x 的 mChat MOD 的参与模块内容。 mChat 扩展无法正常工作。<br> 你需要完全的卸载 mChat MOD 之后，才能安装 mChat 扩展。特别是有下面ID 的模块需要从 %1$s模块表格： %2$s 删除。',
]);
